App::Yath::Options::Display(3pm)

NAME
App::Yath::Options::Display - Display options for Yath.

DESCRIPTION
This is where display options are defined.

PROVIDED OPTIONS

  COMMAND OPTIONS
Display Options

--color
--no-color
    Turn color on, default is true if STDOUT is a TTY.

--hide-runner-output
--no-hide-runner-output
    Hide output from the runner, showing only test output. (See Also truncate_runner_output)

--no-final-table
--no-no-final-table
    When printing final results, don't use table-style display

--no-wrap
--no-no-wrap
    Do not do fancy text-wrapping, let the terminal handle it

--progress
--no-progress
    Toggle progress indicators. On by default if STDOUT is a TTY. You can use --no-progress to disable the 'events seen' counter and buffered event pre-display

--quiet
-q
--no-quiet
    Be very quiet.

    Can be specified multiple times

--renderers +My::Renderer
--renderers Renderer=arg1,arg2,...
--renderer +My::Renderer
--renderer Renderer=arg1,arg2,...
--no-renderers
    Specify renderers, (Default: "Formatter=Test2"). Use "+" to give a fully qualified module name. Without "+" "Test2::Harness::Renderer::" will be prepended to your argument.

    Can be specified multiple times. If the same key is listed multiple times the value lists will be appended together.

--show-times
-T
--no-show-times
    Show the timing data for each job

--term-width 80
--term-width 200
--term-size 80
--term-size 200
--no-term-width
    Alternative to setting $TABLE_TERM_SIZE. Setting this will override the terminal width detection to the number of characters specified.

--truncate-runner-output
--no-truncate-runner-output
    Only show runner output that was generated after the current command. This is only useful with a persistent runner.

--verbose
-v
--no-verbose
    Be more verbose

    Can be specified multiple times

Formatter Options

--formatter ARG
--formatter=ARG
--no-formatter
    NO DESCRIPTION - FIX ME

--qvf
--no-qvf
    [Q]uiet, but [V]erbose on [F]ailure. Hide all output from tests when they pass, except to say they passed. If a test fails then ALL output from the test is verbosely output.

--show-job-end
--no-show-job-end
    Show output when a job ends. (Default: on)

--show-job-info
--no-show-job-info
    Show the job configuration when a job starts. (Default: off, unless -vv)

--show-job-launch
--no-show-job-launch
    Show output for the start of a job. (Default: off unless -v)

--show-run-info
--no-show-run-info
    Show the run configuration when a run starts. (Default: off, unless -vv)

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/